> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pricenow.ch/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apipaymentspayment detailsregister



## OpenAPI

````yaml https://pratiq-docs.s3.eu-west-1.amazonaws.com/open-api/production/public/2025-02-18.json post /api/payments/payment-details/register
openapi: 3.0.0
info:
  title: Pricenow API
  version: '2025-02-18'
servers:
  - url: https://api.pricenow.dev
    description: Production Endpoint
security: []
tags: []
paths:
  /api/payments/payment-details/register:
    post:
      tags:
        - payments
      parameters:
        - name: accept-language
          in: header
          description: Language of the response
          required: true
          schema:
            type: string
            enum:
              - en
              - de
              - fr
              - it
        - name: pratiq-channel-uuid
          in: header
          description: UUID of the sales channel
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                redirectUrls:
                  type: object
                  properties:
                    success:
                      type: string
                    error:
                      type: string
                    cancel:
                      type: string
                  required:
                    - success
                    - error
                    - cancel
                isDefault:
                  type: boolean
                paymentMethods:
                  type: array
                  items:
                    type: string
                    enum:
                      - TWI
                      - PAP
                      - DIB
                      - EPS
                      - REK
                      - PFP
                      - PFC
                      - APL
                      - PAY
                      - VIS
                      - ECA
              required:
                - redirectUrls
                - isDefault
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      transactionId:
                        type: string
                      redirectUrl:
                        type: string
                    required:
                      - transactionId
                      - redirectUrl
                required:
                  - data

````